Skip to main content
GET
Get class by hash

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

classHash
string
required

Starknet class hash (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Response

Class details

hash
string
required
transactionHash
string
required
version
string | null
required
type
number | null
required
isAccount
boolean | null
required
isProxy
boolean | null
required
isErcToken
boolean | null
required
creationTimestamp
number | null
required
contractsCount
number | null
required
declaredBy
string
required
code
required
byteCode
string[] | null
required
license
string | null
required
abi
any